CVE-2011-2477

NameCVE-2011-2477
DescriptionMultiple cross-site scripting (XSS) vulnerabilities in config.c in config.cgi in Icinga before 1.4.1, when escape_html_tags is disabled, allow remote attackers to inject arbitrary web script or HTML via a JavaScript expression, as demonstrated by the onload attribute of a BODY element located after a check-host-alive! sequence, a different vulnerability than CVE-2011-2179.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
icinga (PTS)stretch1.13.4-2fixed
buster1.14.2+ds-3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
icingasource(unstable)1.4.1-1
nagios3source(unstable)3.4.1-1

Notes

[squeeze] - icinga <no-dsa> (Minor issue)
[squeeze] - nagios3 <no-dsa> (Minor issue)
Nagios might be fixed earlier than 3.4.1, checked the Wheezy version

Search for package or bug name: Reporting problems